Index: doc/latex/libEF_8h__dep__incl.dot
===================================================================
--- doc/latex/libEF_8h__dep__incl.dot (revision 264)
+++ doc/latex/libEF_8h__dep__incl.dot (revision 269)
@@ -7,23 +7,26 @@
   Node2 [label="arx.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx_8h.html",tooltip="Bayesian Filtering for generalized autoregressive (ARX) model."];
   Node2 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node3 [label="arx_test.cpp",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx__test_8cpp.html",tooltip="Test of basic elements of the ARX class."];
-  Node1 -> Node4 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node4 [label="libKF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libKF_8h.html",tooltip="Bayesian Filtering for linear Gaussian models (Kalman Filter) and extensions."];
-  Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node5 [label="ekf_templ.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$ekf__templ_8h.html",tooltip="Bayesian Filtering for linear Gaussian models (Kalman Filter) and extensions."];
+  Node3 [label="arx_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx__ui_8h.html",tooltip="UI for ARX estimators."];
+  Node3 -> Node4 [dir=back,color="midnightblue",fontsize=10,style="solid"];
+  Node4 [label="UIArxDS_test.cpp",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$UIArxDS__test_8cpp.html",tooltip="Test of UI builders for ARX."];
+  Node2 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid"];
+  Node5 [label="arx_test.cpp",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$arx__test_8cpp.html",tooltip="Test of basic elements of the ARX class."];
   Node1 -> Node6 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node6 [label="libPF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libPF_8h.html",tooltip="Bayesian Filtering using stochastic sampling (Particle Filters)."];
-  Node1 -> Node7 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node7 [label="mixef.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$mixef_8h.html",tooltip="Bayesian Filtering for mixtures of exponential family (EF) members."];
-  Node7 -> Node8 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node8 [label="merger.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$merger_8h.html",tooltip="Mergers for combination of pdfs."];
+  Node6 [label="libKF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libKF_8h.html",tooltip="Bayesian Filtering for linear Gaussian models (Kalman Filter) and extensions."];
+  Node6 -> Node7 [dir=back,color="midnightblue",fontsize=10,style="solid"];
+  Node7 [label="ekf_templ.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$ekf__templ_8h.html",tooltip="Bayesian Filtering for linear Gaussian models (Kalman Filter) and extensions."];
+  Node1 -> Node8 [dir=back,color="midnightblue",fontsize=10,style="solid"];
+  Node8 [label="libPF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libPF_8h.html",tooltip="Bayesian Filtering using stochastic sampling (Particle Filters)."];
   Node1 -> Node9 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node9 [label="emix.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$emix_8h.html",tooltip="Probability distributions for Mixtures of pdfs."];
-  Node9 -> Node7 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node1 -> Node10 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node10 [label="libDS.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDS_8h.html",tooltip="Common DataSources."];
-  Node10 -> Node11 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node11 [label="libDS_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDS__ui_8h.html",tooltip="UI for Common DataSources."];
-  Node11 -> Node12 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node12 [label="UIArxDS_test.cpp",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$UIArxDS__test_8cpp.html",tooltip="Test of UI builders for ARX."];
+  Node9 [label="mixef.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$mixef_8h.html",tooltip="Bayesian Filtering for mixtures of exponential family (EF) members."];
+  Node9 -> Node10 [dir=back,color="midnightblue",fontsize=10,style="solid"];
+  Node10 [label="merger.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$merger_8h.html",tooltip="Mergers for combination of pdfs."];
+  Node1 -> Node11 [dir=back,color="midnightblue",fontsize=10,style="solid"];
+  Node11 [label="emix.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$emix_8h.html",tooltip="Probability distributions for Mixtures of pdfs."];
+  Node11 -> Node9 [dir=back,color="midnightblue",fontsize=10,style="solid"];
+  Node1 -> Node12 [dir=back,color="midnightblue",fontsize=10,style="solid"];
+  Node12 [label="libDS.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDS_8h.html",tooltip="Common DataSources."];
+  Node12 -> Node13 [dir=back,color="midnightblue",fontsize=10,style="solid"];
+  Node13 [label="libDS_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDS__ui_8h.html",tooltip="UI for Common DataSources."];
+  Node13 -> Node4 [dir=back,color="midnightblue",fontsize=10,style="solid"];
 }
